Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.glsl.fixedfunc.impl
Class FixedFuncHook

    java.lang.Object
      com.sun.opengl.util.glsl.fixedfunc.impl.FixedFuncHook

All Implemented Interfaces:
  GLLightingFunc, GLMatrixFunc, GLPointerFunc

    public class FixedFuncHook

extends Object
implements GLLightingFunc, GLMatrixFunc, GLPointerFunc

Field Summary
`protected FixedFuncPipeline` | `fixedFunction`
`protected GL2ES2` | `gl`
`static int` | `MAX_TEXTURE_UNITS`
`protected PMVMatrix` | `pmvMatrix`

Fields inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc
`GL_AMBIENT, GL_AMBIENT_AND_DIFFUSE, GL_COLOR_MATERIAL, GL_CONSTANT_ATTENUATION, GL_DIFFUSE, GL_EMISSION, GL_FLAT, GL_LIGHT0, GL_LIGHT1, GL_LIGHT2, GL_LIGHT3, GL_LIGHT4, GL_LIGHT5, GL_LIGHT6, GL_LIGHT7, GL_LIGHTING, GL_LINEAR_ATTENUATION, GL_NORMALIZE, GL_POSITION, GL_QUADRATIC_ATTENUATION, GL_SHININESS, GL_SMOOTH, GL_SPECULAR, GL_SPOT_CUTOFF, GL_SPOT_DIRECTION, GL_SPOT_EXPONENT`

Fields inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc
`GL_MATRIX_MODE, GL_MODELVIEW, GL_MODELVIEW_MATRIX, GL_PROJECTION, GL_PROJECTION_MATRIX, GL_TEXTURE_MATRIX`

Fields inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc
`GL_COLOR_ARRAY, GL_NORMAL_ARRAY, GL_TEXTURE_COORD_ARRAY, GL_VERTEX_ARRAY`

Constructor Summary
`FixedFuncHook(GL2ES2 gl)`
`FixedFuncHook(GL2ES2 gl, PMVMatrix matrix)`
`FixedFuncHook(GL2ES2 gl, PMVMatrix matrix, Class shaderRootClass, String shaderSrcRoot, String shaderBinRoot, String vertexColorFile, String vertexColorLightFile, String fragmentColorFile, String fragmentColorTextureFile)`

Method Summary
`void` | `destroy()`
`PMVMatrix` | `getMatrix()`
`void` | `glActiveTexture(int texture)`
`void` | `glColor4f(float red, float green, float blue, float alpha)`
`void` | `glColorPointer(GLArrayData array)`
`void` | `glColorPointer(int size, int type, int stride, Buffer pointer)`
`void` | `glColorPointer(int size, int type, int stride, long pointer_buffer_offset)`
`void` | `glCullFace(int faceName)`
`void` | `glDisable(int cap)`
`void` | `glDisableClientState(int glArrayIndex)`
`void` | `glDrawArrays(int mode, int first, int count)`
`void` | `glDrawElements(int mode, int count, int type, Buffer indices)`
`void` | `glDrawElements(int mode, int count, int type, long indices_buffer_offset)`
`void` | `glEnable(int cap)`
`void` | `glEnableClientState(int glArrayIndex)`
`void` | `glFrustumf(float left, float right, float bottom, float top, float zNear, float zFar)`
`void` | `glGetFloatv(int pname, float[] params, int params_offset)`
`void` | `glGetFloatv(int pname, FloatBuffer params)` glGetFloatv
`void` | `glGetIntegerv(int pname, int[] params, int params_offset)`
`void` | `glGetIntegerv(int pname, IntBuffer params)` glGetIntegerv
`int` | `glGetMatrixMode()`
`void` | `glLightfv(int light, int pname, float[] params, int params_offset)`
`void` | `glLightfv(int light, int pname, FloatBuffer params)`
`void` | `glLoadIdentity()`
`void` | `glLoadMatrixf(float[] m, int m_offset)`
`void` | `glLoadMatrixf(FloatBuffer m)` glLoadMatrixf
`void` | `glMaterialf(int face, int pname, float param)`
`void` | `glMaterialfv(int face, int pname, float[] params, int params_offset)`
`void` | `glMaterialfv(int face, int pname, FloatBuffer params)`
`void` | `glMatrixMode(int mode)` sets the current matrix
`void` | `glMultMatrixf(float[] m, int m_offset)`
`void` | `glMultMatrixf(FloatBuffer m)` glMultMatrixf
`void` | `glNormalPointer(GLArrayData array)`
`void` | `glNormalPointer(int type, int stride, Buffer pointer)`
`void` | `glNormalPointer(int type, int stride, long pointer_buffer_offset)`
`void` | `glOrthof(float left, float right, float bottom, float top, float zNear, float zFar)`
`void` | `glPopMatrix()`
`void` | `glPushMatrix()`
`void` | `glRotatef(float angdeg, float x, float y, float z)`
`void` | `glScalef(float x, float y, float z)`
`void` | `glShadeModel(int mode)`
`void` | `glTexCoordPointer(GLArrayData array)`
`void` | `glTexCoordPointer(int size, int type, int stride, Buffer pointer)`
`void` | `glTexCoordPointer(int size, int type, int stride, long pointer_buffer_offset)`
`void` | `glTranslatef(float x, float y, float z)`
`void` | `glVertexPointer(GLArrayData array)`
`void` | `glVertexPointer(int size, int type, int stride, Buffer pointer)`
`void` | `glVertexPointer(int size, int type, int stride, long pointer_buffer_offset)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_TEXTURE_UNITS

    public static final int MAX_TEXTURE_UNITS

See Also:
  Constant Field Values

### fixedFunction

    protected FixedFuncPipeline fixedFunction

### pmvMatrix

    protected PMVMatrix pmvMatrix

### gl

    protected GL2ES2 gl

Constructor Detail

### FixedFuncHook

    public FixedFuncHook(GL2ES2 gl)

### FixedFuncHook

    public FixedFuncHook(GL2ES2 gl,
                         PMVMatrix matrix)

### FixedFuncHook

    public FixedFuncHook(GL2ES2 gl,
                         PMVMatrix matrix,
                         Class shaderRootClass,
                         String shaderSrcRoot,
                         String shaderBinRoot,
                         String vertexColorFile,
                         String vertexColorLightFile,
                         String fragmentColorFile,
                         String fragmentColorTextureFile)

Method Detail

### destroy

    public void destroy()

### getMatrix

    public PMVMatrix getMatrix()

### glDrawArrays

    public void glDrawArrays(int mode,
                             int first,
                             int count)

### glDrawElements

    public void glDrawElements(int mode,
                               int count,
                               int type,
                               Buffer indices)

### glDrawElements

    public void glDrawElements(int mode,
                               int count,
                               int type,
                               long indices_buffer_offset)

### glActiveTexture

    public void glActiveTexture(int texture)

### glEnable

    public void glEnable(int cap)

### glDisable

    public void glDisable(int cap)

### glCullFace

    public void glCullFace(int faceName)

### glGetFloatv

    public void glGetFloatv(int pname,
                            FloatBuffer params)

  Description copied from interface: `GLMatrixFunc`
  glGetFloatv

  Specified by:
    `glGetFloatv` in interface `GLMatrixFunc`
  Parameters:
    `pname` - GL_MODELVIEW_MATRIX, GL_PROJECTION_MATRIX or GL_TEXTURE_MATRIX
    `params` - the FloatBuffer's position remains unchanged, which is the same behavior than the native JOGL GL impl

### glGetFloatv

    public void glGetFloatv(int pname,
                            float[] params,
                            int params_offset)

  Specified by:
    `glGetFloatv` in interface `GLMatrixFunc`

### glGetIntegerv

    public void glGetIntegerv(int pname,
                              IntBuffer params)

  Description copied from interface: `GLMatrixFunc`
  glGetIntegerv

  Specified by:
    `glGetIntegerv` in interface `GLMatrixFunc`
  Parameters:
    `pname` - GL_MATRIX_MODE
    `params` - the FloatBuffer's position remains unchanged which is the same behavior than the native JOGL GL impl

### glGetIntegerv

    public void glGetIntegerv(int pname,
                              int[] params,
                              int params_offset)

  Specified by:
    `glGetIntegerv` in interface `GLMatrixFunc`

### glGetMatrixMode

    public int glGetMatrixMode()

### glMatrixMode

    public void glMatrixMode(int mode)

  Description copied from interface: `GLMatrixFunc`
  sets the current matrix

  Specified by:
    `glMatrixMode` in interface `GLMatrixFunc`

### glLoadMatrixf

    public void glLoadMatrixf(FloatBuffer m)

  Description copied from interface: `GLMatrixFunc`
  glLoadMatrixf

  Specified by:
    `glLoadMatrixf` in interface `GLMatrixFunc`

### glLoadMatrixf

    public void glLoadMatrixf(float[] m,
                              int m_offset)

  Specified by:
    `glLoadMatrixf` in interface `GLMatrixFunc`

### glPopMatrix

    public void glPopMatrix()

  Specified by:
    `glPopMatrix` in interface `GLMatrixFunc`

### glPushMatrix

    public void glPushMatrix()

  Specified by:
    `glPushMatrix` in interface `GLMatrixFunc`

### glLoadIdentity

    public void glLoadIdentity()

  Specified by:
    `glLoadIdentity` in interface `GLMatrixFunc`

### glMultMatrixf

    public void glMultMatrixf(FloatBuffer m)

  Description copied from interface: `GLMatrixFunc`
  glMultMatrixf

  Specified by:
    `glMultMatrixf` in interface `GLMatrixFunc`

### glMultMatrixf

    public void glMultMatrixf(float[] m,
                              int m_offset)

  Specified by:
    `glMultMatrixf` in interface `GLMatrixFunc`

### glTranslatef

    public void glTranslatef(float x,
                             float y,
                             float z)

  Specified by:
    `glTranslatef` in interface `GLMatrixFunc`

### glRotatef

    public void glRotatef(float angdeg,
                          float x,
                          float y,
                          float z)

  Specified by:
    `glRotatef` in interface `GLMatrixFunc`

### glScalef

    public void glScalef(float x,
                         float y,
                         float z)

  Specified by:
    `glScalef` in interface `GLMatrixFunc`

### glOrthof

    public void glOrthof(float left,
                         float right,
                         float bottom,
                         float top,
                         float zNear,
                         float zFar)

  Specified by:
    `glOrthof` in interface `GLMatrixFunc`

### glFrustumf

    public void glFrustumf(float left,
                           float right,
                           float bottom,
                           float top,
                           float zNear,
                           float zFar)

  Specified by:
    `glFrustumf` in interface `GLMatrixFunc`

### glColor4f

    public void glColor4f(float red,
                          float green,
                          float blue,
                          float alpha)

  Specified by:
    `glColor4f` in interface `GLLightingFunc`
  Specified by:
    `glColor4f` in interface `GLPointerFunc`

### glLightfv

    public void glLightfv(int light,
                          int pname,
                          FloatBuffer params)

  Specified by:
    `glLightfv` in interface `GLLightingFunc`

### glLightfv

    public void glLightfv(int light,
                          int pname,
                          float[] params,
                          int params_offset)

  Specified by:
    `glLightfv` in interface `GLLightingFunc`

### glMaterialfv

    public void glMaterialfv(int face,
                             int pname,
                             FloatBuffer params)

  Specified by:
    `glMaterialfv` in interface `GLLightingFunc`

### glMaterialfv

    public void glMaterialfv(int face,
                             int pname,
                             float[] params,
                             int params_offset)

  Specified by:
    `glMaterialfv` in interface `GLLightingFunc`

### glMaterialf

    public void glMaterialf(int face,
                            int pname,
                            float param)

  Specified by:
    `glMaterialf` in interface `GLLightingFunc`

### glShadeModel

    public void glShadeModel(int mode)

  Specified by:
    `glShadeModel` in interface `GLLightingFunc`

### glEnableClientState

    public void glEnableClientState(int glArrayIndex)

  Specified by:
    `glEnableClientState` in interface `GLPointerFunc`

### glDisableClientState

    public void glDisableClientState(int glArrayIndex)

  Specified by:
    `glDisableClientState` in interface `GLPointerFunc`

### glVertexPointer

    public void glVertexPointer(GLArrayData array)

  Specified by:
    `glVertexPointer` in interface `GLPointerFunc`

### glVertexPointer

    public void glVertexPointer(int size,
                                int type,
                                int stride,
                                Buffer pointer)

  Specified by:
    `glVertexPointer` in interface `GLPointerFunc`

### glVertexPointer

    public void glVertexPointer(int size,
                                int type,
                                int stride,
                                long pointer_buffer_offset)

  Specified by:
    `glVertexPointer` in interface `GLPointerFunc`

### glColorPointer

    public void glColorPointer(GLArrayData array)

  Specified by:
    `glColorPointer` in interface `GLPointerFunc`

### glColorPointer

    public void glColorPointer(int size,
                               int type,
                               int stride,
                               Buffer pointer)

  Specified by:
    `glColorPointer` in interface `GLPointerFunc`

### glColorPointer

    public void glColorPointer(int size,
                               int type,
                               int stride,
                               long pointer_buffer_offset)

  Specified by:
    `glColorPointer` in interface `GLPointerFunc`

### glNormalPointer

    public void glNormalPointer(GLArrayData array)

  Specified by:
    `glNormalPointer` in interface `GLPointerFunc`

### glNormalPointer

    public void glNormalPointer(int type,
                                int stride,
                                Buffer pointer)

  Specified by:
    `glNormalPointer` in interface `GLPointerFunc`

### glNormalPointer

    public void glNormalPointer(int type,
                                int stride,
                                long pointer_buffer_offset)

  Specified by:
    `glNormalPointer` in interface `GLPointerFunc`

### glTexCoordPointer

    public void glTexCoordPointer(GLArrayData array)

  Specified by:
    `glTexCoordPointer` in interface `GLPointerFunc`

### glTexCoordPointer

    public void glTexCoordPointer(int size,
                                  int type,
                                  int stride,
                                  Buffer pointer)

  Specified by:
    `glTexCoordPointer` in interface `GLPointerFunc`

### glTexCoordPointer

    public void glTexCoordPointer(int size,
                                  int type,
                                  int stride,
                                  long pointer_buffer_offset)

  Specified by:
    `glTexCoordPointer` in interface `GLPointerFunc`

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.